org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface PatternCompositionConstraint

- All Superinterfaces:
    Constraint, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    PatternCompositionConstraintImpl

      public interface PatternCompositionConstraint
      extends Constraint

  A representation of the model object 'Pattern Composition Constraint'.

  The following features are supported:

  - `Negative`
  - `Call`
  See Also:
    `PatternLanguagePackage.getPatternCompositionConstraint()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CallableRelation` | `getCall()` Returns the value of the 'Call' containment reference.
    `boolean` | `isNegative()` Returns the value of the 'Negative' attribute.
    `void` | `setCall(CallableRelation value)` Sets the value of the '`Call`' containment reference.
    `void` | `setNegative(boolean value)` Sets the value of the '`Negative`' attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isNegative

          boolean isNegative()

      Returns the value of the 'Negative' attribute.

      If the meaning of the 'Negative' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Negative' attribute.
      See Also:
        `setNegative(boolean)`, `PatternLanguagePackage.getPatternCompositionConstraint_Negative()`
      Generated:
      Model:

    - #### setNegative

          void setNegative(boolean value)

      Sets the value of the '`Negative`' attribute.
      Parameters:
        `value` - the new value of the 'Negative' attribute.
      See Also:
        `isNegative()`
      Generated:

    - #### getCall

          CallableRelation getCall()

      Returns the value of the 'Call' containment reference.

      If the meaning of the 'Call' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Call' containment reference.
      See Also:
        `setCall(CallableRelation)`, `PatternLanguagePackage.getPatternCompositionConstraint_Call()`
      Generated:
      Model:
        containment="true"

    - #### setCall

          void setCall(CallableRelation value)

      Sets the value of the '`Call`' containment reference.
      Parameters:
        `value` - the new value of the 'Call' containment reference.
      See Also:
        `getCall()`
      Generated:

    - #### toString

          java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"